It is very convenient to use MarkupBinder with TextPad as a series of tools. TextPad is a fully featured, general purpose, text editor for Windows which enables the user, among many other things, to configure external programs as tools.  What it means in practice is that the user loads TextPad with a file, edits it and performs operations on this file, in our case using MarkupBinder.

TextPad is a shareware program which gives the user a certain trial period after which a 'nagging window' appears from time to time.  It is still usable but with such a useful program you may consider, like the author, to pay the modest registration fee to support the developers.  TextPad is accessible with JAWS, NVDA from version 2010.2, and probably other screen readers.

It is assumed that you have installed both Pandoc and MarkupBinder as described in the previous page.  Download and install [TextPad](http://www.textpad.com/).  Try the program and convince yourself that it is accessible with your favourite screen reader.

#### Configuring TextPad to work with MarkupBinder

TextPad allows you to configure tools which once configured are accessible from the menu:\
Tools \> External Tools

Shortcuts are also automatically available in the order the tools have been created, starting with Ctrl + 1, Ctrl + 2, etc.
The author believes that it is possible to change the shortcut keys' order but this facility does not seem to be accessible.

##### Automatic tools configuration using a registry file

The easiest way to do this is to configure the TextPad keys in the Windows Registry automatically using the 'MarkupBinder TextPad tools setup.reg' file available in the MarkupBinder folder.  Locate this file and press Enter; a message is displayed warning you of the risks of modifying the Registry.  Select OK to confirm and the MarkupBinder TextPad tools are configured and ready for use.
The Registry configuration file was tested in Windows 7 and XP but not in Vista although it is expected to work.
Note that the above configuration only changes the Tools key in the TextPad entry in the Registry so the risk to the rest of your computer system is minimal but the author will take no responsibility for any damage to your computer and you may choose to configure instead the MarkupBinder tools in TextPad manually as described below.

If you configured the tools automatically as described above, skip the rest of this page and read the rest of this manual.

##### Manual tools configuration

To configure MarkupBinder commands manually as tools, in the menu go to:\
Configure \> Preferences  

You are presented with a tree which is not fully accessible; you need to focus on the Tools node, press 't' to get there.  With the focus on the Tools node, if you press Tab you will find a list of tools created already (if any) and buttons to add and apply changes. Once created you can also move the focus to a tool in the list, press F2 and change its name.  You can also delete a tool by selecting it in the list and pressing the Delete key.  

Once you have created tools, with the focus on the Tools node in the tree, press the Right key and then the Up and Down keys to select a tool and then tab to change its parameters.

To create a new MarkupBinder tool, follow these steps:

-   With the focus on the Tools node, press Tab until you get to the Add button.  Then press Enter and a dialog opens.

-   Press Up and Down and choose DOS Command; press Enter.

-   A dialog appears;  fill in the details of the command line parameters accurately as described further down this page.  For example for the command 'Build Document Page', the command parameters are:\
C:\\MarkupBinder\\markup-binder-document.bat $File "$FileDir\\$BaseName.html"

-   Tab and press OK to close the dialogue.

-   Tab a few times and press Apply; you are back in the main edit window.

-   Go back to the Tools tree node as described above.  Press Tab and in the list, press F2 and change the default name (derived from the command line parameters you specified before) to the name of the command required; for example 'Build Document Page' in the example above.

- Press Shift + Tab to go back to the Tools tree node.

-   With the focus on the Tools node, press the Right key and then Up and Down to get to the tool name you just defined - note you may still see there the name as the command line you defined before; this will be modified to the command name you specified once you press Apply in the next step.

-   Press Tab and move between the options; you want to make sure that the 'Save document first', the 'Capture output' and 'Sound alert when complete' options are checked.  Leave all other options unchecked or with their default values as applicable. 

-   Tab a few times and press Apply; you are back in the main menu.

-   Invoke the tool by either choosing from the 'External Tools' sub-menu under the Tools menu or by pressing the relevant shortcut     key.

Repeat the steps above to define the commands recommended below (once you are familiar with the operation, it should take only a few minutes per tool).

#### Build Document Page

C:\\MarkupBinder\\markup-binder-document.bat $File "$FileDir\\$BaseName.html"

Convert the specified Markdown file and generate a document content page.

#### Build Folder

C:\\MarkupBinder\\markup-binder.bat $FileDir

In the current folder and all its sub-folders, for files that have been changed, converts all individual Markdown files, generating content pages together with their header and links to other parts of the binder and generating all required index files and style sheets.

#### Build Binder

C:\\MarkupBinder\\markup-binder.bat -all $FileDir

For the whole binder (starting from its root), for files that have been changed, converts all individual Markdown files generating content pages together with their header and links to other parts of the binder and generating all required index files and style sheets.

#### Rebuild Web Binder

C:\\MarkupBinder\\markup-binder.bat -web $FileDir

Copies the binder folder structure with the name of the binder suffixed with '-Web'.  Renames all folders so that spaces are replaced by underlines '\_'.  Converts all individual Markdown files generating content pages together with their header and links to other parts of the binder.  Replaces all file names with an underline '\_'.  Generates all required index files and style sheets.  This 'Web ready' binder folder structure should be ready for uploading to a website.

#### Clean Binder

C:\\MarkupBinder\\markup-binder.bat -clean $FileDir

Cleans the entire binder by deleting all non-Markdown files including HTML files and the 'Web' folder.

#### Convert File

C:\\MarkupBinder\\markup-binder.bat $File -$prompt(Enter MarkupBinder conversion command:)

When the tool is invoked, a dialog appears asking you to enter the conversion command; enter the command and press Enter.

Each conversion requires a different flag as explained in the 'Command line parameters' page.  For example, to convert from HTML to Markdown, the command is:\
html2md\
Note that the '\-' (dash or hyphen) flag prefix symbol is omitted.

These are pure single file conversions representing your document as written and are useful, for example, for conversion to RTF as can be used in most word processors.  Another useful conversion is from HTML to Markdown; you can take an existing HTML file from the internet, convert it to Markdown, clean and edit it as required and incorporate it into your binder.  

#### MarkupBinder Help

C:\\MarkupBinder\\markup-binder-help.bat

Displays in your default browser the MarkupBinder help located in:\
C:\\MarkupBinder\\docs

