It is assumed that you have read the [Getting started with MarkupBinder as a word processor alternative](Getting started with MarkupBinder as a word processor alternative.html) already.  The 'Geography_' binder example used in this page will be used here as well.

The term 'publication' in this context means a number of individual documents grouped together in a hierarchical structure.  A publication can be for example a manual, a set of instructions etc.

The operations to construct a publication binder are almost the same as those described for creating a binder with individual documents.  There are, however, some differences. When creating individual documents, each document stands on its own and binding the documents together is an optional convenience to enable you to navigate and view these documents easily.  A structured publication however, is made of individual documents which need to be bound together to create the publication as each document on its own is only a fraction of the publication.

So the operation to create individual documents, bind them together and all other commands are exactly the same as described in the [Getting started with MarkupBinder as a word processor alternative](Getting started with MarkupBinder as a word processor alternative.html) page.

When creating a publication binder, the folder names are the same names as the corresponding sections and sub-sections in the publication and individual documents are topics which together form the publication.  

Using the 'Geography\_' example mentioned before, perhaps instead of treating the binder as a loose collection of countries, you may wish to create a publication which forms a 'Country Guide'.  The first thing to do is to change the name of the binder root folder to 'Country Guide_'. 

In the example above, open in your text editor the binder properties files:\
...\\Country Guide_\\_resource\\properties\\binder-properties.txt

To treat a binder as a complete publication, there are a number of binder properties which you may wish to change.  Consider the following:

#### Content page title

When you treat each document individually, the title presented in the title of the browser is the file name.  In the 'Contry Guide' publication, you probably want the title of the HTML content page (made of your document page together with the binder header and footers) to be more representative of the document's content, perhaps in our case 'Country'.   To do this, locate the property:\
tree.content.title=file\
change it to:\
tree.content.title=country

Note that the above property changes the title for content pages built with the 'Build Folder', 'Build Binder' and 'Build Web Binder' commands.  It does not change the title for the 'Build Document Page' command which has the file name as its title by default.  This is usually what you want as when you examine each individual document page (which contains only the document without the binder's header and footers) during the editing phase, it is convenient to have the file name as the page title.

#### Document name derived from the file name

By default, the file name of each document and the name (the main heading) of each document are independent; this means you can give the document file any name you like  regardless of the file name.  It is often convenient to let MarkupBinder derive the name of the document from its file name (after removing the file extension and any '_' characters).  This way you are always sure that the file name relates directly to its content.

To do this, locate the property:\
document.name.auto=false\
Change it to:\
document.name.auto=true

After modifying the binder properties above, save the file and close your text editor.

#### Rebuilding the binder

To build the binder after the modifications outlined in this page, locate a file in our case UK.md and open it in gedit.  First you need to discard any old HTML files constructed before the modifications and to do this invoke the command 'Clean Binder' [Ctrl + 5].  Then to build the binder, issue the command 'Build Binder' [Ctrl + 3] and examine the newly created HTML structure in your browser.

#### Document name alias

If you examine the content page generated, 'UK.html', you will find that the name of the page (main heading) appears twice; this is because you configure the binder so that the heading is derived automatically from the file name so just remove the second heading.  The original heading was 'United Kingdom' and not UK.  To make sure the name (main heading) remains as 'United Kingdom' you can either change the Markdown file name to 'United Kingdom.md' or in the binder.properties file mentioned above, locate the property:\
binder.alias=none\
Change it to:\
binder.alias=United Kingdom

#### Summary

The three properties above are probably the only ones you need to change to turn the default binder configured for individual documents into a binder intended for a structured publication.  For a complete overview of a binder structure and configuration, read the remaining pages in the [Creating, editing and binding your documents with MarkupBinder](../index.html) section.


