This page describes the specific use of MarkupBinder from within gedit, the standard text editor that is part of the gnome desktop and is fully accessible with Orca, the gnome screen reader.  After reading this page, read the [Getting started with MarkupBinder as a word processor alternative](Getting started with MarkupBinder as a word processor alternative.html) page in this section.  If you wish you can use MarkupBinder from the command line as explained in the page [Using MarkupBinder from the command line](../Using MarkupBinder from the command line.html).

It is assumed that you have installed MarkupBinder as described in:
[Installation \> Installing in Vinux](../../Installation/Installing in Vinux.html).

The installer configures MarkupBinder in gedit as a series of tools which are easily accessible.  Each tool represents usually a single MarkupBinder command.

First you load gedit with a content page written in Markdown (with the '.md' file extension), edit it and then issue the required command by invoking the appropriate tool.  The tools for MarkupBinder are located under the Tools > External Tools sub-menu.  To get there quickly, type Alt + t and then t again. The MarkupBinder commands together with their shortcut keys are:

- Build Document Page [Ctrl + 1]
- Build Folder [Ctrl + 2]
- Build Binder [Ctrl + 3]
- Rebuild Web Binder [Ctrl + 4]
- Clean Binder [Ctrl + 5]
- Convert File [Ctrl + 6]
- MarkupBinder Help [Ctrl + 7]

After you run any of the tools (commands) above, either from the gedit menu or using the shortcut keys, a voice will announce that the operation has started and after a while, a voice will announce that the operation has been completed successfully or an error has occurred. (Errors should not happen very often).  The errors (if any) produced by MarkupBinder are displayed on the gedit console which is a read only screen that opens automatically and is only accessible with Orca using the 'flat review mode' which you can turn on with the Orca + p key.  

In the usual editing process, you will most frequently use the 'Build Document Page' command which builds a single page and therefore should only take a few seconds to run. When you build a single, very large file or perform a command on the binder (a command involving multiple files), processing may take a while so wait patiently for the announcement that the operation has been completed!

All the tools above, except for the 'File Conversion', perform a single MarkupBinder command. When you invoke the 'Convert File' command, a dialog is displayed asking you to enter the file conversion command required which is explained in detail in the [Using MarkupBinder from the command line](../Using MarkupBinder from the command line.html) page.  Note that you need to enter only the command itself (not the '-' flag indicator).  For example, to convert an HTML file displayed in gedit, type 'html2md'.

It is useful to work with a binder folder structure and load gedit with a document using Nautilus, the gnome file manager.
MarkupBinder's documents are written in Markdown, a lightweight writing format with the file extension '.md'.  For convenience, configure Nautilus to open these types of files automatically when pressing Enter (double clicked) using gedit; you can do this as follows:

- Create a new file with a file extension '.md'.  You can do this by first unselecting any files [Ctrl + Spacebar] and then from the context menu select:\
Create Document > Empty File\
Change the file to a name with the file extension '.md'   
- Make sure that the file has the focus
- In the context menu, select the 'Open with other application' sub-menu 
- In the dialog, locate gedit in the application list (you can press 'g' to get there quickly)
- Tab to 'Remember this application for '.md' document' check box and check it 
- Tab to OK and confirm.

From now on, in Nautilus, whenever you press [Enter] (double click) on a file with the file extension '.md', gedit should open with the file loaded.  
