This page describes the specific use of MarkupBinder from within TextPad, an excellent text editor for Windows.  TextPad is accessible with JAWS and NVDA from version 2010.2 and probably other screen readers as well.

After reading this page, read the [Getting started with MarkupBinder as a word processor alternative](Getting started with MarkupBinder as a word processor alternative.html) page in this section.

It is assumed that you have installed MarkupBinder as described in:
[Installation \> Installing in Windows](../../Installation/Windows/index.html).

After the installation procedure, MarkupBinder is configured in TextPad as a series of tools which are easily accessible.  Each tool represents usually a single MarkupBinder command.

First you load TextPad with a content page written in Markdown (with the '.md' file extension).  Edit the file.  The author finds it convenient to toggle the 'Word wrap' mode on and off by invoking the key sequence [Ctrl + q] followed (after releasing the previousley held keys) by the 'w' key.  After editing the file, issue the required command by invoking the appropriate tool.  The tools for MarkupBinder are located under the Tools > External Tools sub-menu.

The MarkupBinder commands, together with their shortcut keys, are:

- Build Document Page [Ctrl + 1]
- Build Folder [Ctrl + 2]
- Build Binder [Ctrl + 3]
- Rebuild Web Binder [Ctrl + 4]
- Clean Binder [Ctrl + 5]
- Convert File [Ctrl + 6]
- MarkupBinder Help [Ctrl + 7]

After you run any of the tools (commands) above, either from the TextPad menu or using the shortcut keys, a beep announces that the tool has completed its operation and an output (read only) console is displayed and has the focus.  By pressing the Up arrow, you can find if the tool was successeful and you can navigate the console in the usual way to examine any errors. (Errors should not happen very often.) You can move the focus back from the console to the editing area by pressing [F6].  Make sure that before you invoke any of the tool commands above, the focus is in the editing area, otherwise TextPad does not pass the parameters correctly to MarkupBinder and unexplained errors may occur.

In the usual editing process, you will most frequently use the 'Build Document Page' command which builds a single page and therefore should only take a few seconds to run. When you build a single, very large file or perform a command on the binder (a command involving multiple files), processing may take a while so wait patiently for the bbeep announcing that the operation has completed.

All the tools above, except for the 'File Conversion', perform a single MarkupBinder command. When you invoke the 'Convert File' command, a dialog is displayed asking you to enter the file conversion command required which is explained in detail in the [Using MarkupBinder from the command line](../Using MarkupBinder from the command line.html) page.  Note that you need to enter only the command itself (not the '-' flag indicator).  For example, to convert an HTML file displayed in TextPad, type 'html2md'.

It is useful to work with a binder folder structure and load TextPad with a document using Windows Explorer the Windows File Manager.

MarkupBinder's documents are written in Markdown, a lightweight writing format with the file extension '.md'.  For convenience, configure Windows Explorer to open these types of files automatically when pressing Enter (double clicked) using TextPad; you can do this as follows:

- Create a new file with a file extension '.md'.  You can do this by first unselecting any files [Ctrl + Spacebar] and then from the context menu select:\
New > Text document\
Change the file to a name with the file extension '.md'   
- Make sure that the file has the focus
- Press [Enter]; a dialog appears informing you that Windows does not know which program to use to open this type of file.  Select the 'Select a program from a list of installed programs' radio button, tab and select OK
- In the dialog that opens, select TextPad from a list of installed programs, you can type 't' to get there quickly
- Tab a few times and check 'Always use the selected program to open this kind of file' in the check box
- Tab and select OK

From now on, in Windows Explorer, whenever you press [Enter] (double click) on a file with the file extension '.md', TextPad should open with the file loaded.  
