This document is written from a blindness perspective but MarkupBinder can be equally useful to sighted people.

We write documents as notes to ourselves or pass information to others.  Well structured and formatted documents are important to clearly convey the information to the reader.  Documents can be single, stand-alone or part of a larger, structured publication such as a magazine or a manual.  It is often convenient to keep together related single documents for easy retrieval later.

Since I lost my sight later in life, I became gradually convinced that using text formatters as opposed to interactive Word Processors such as Word or OpenOffice is a better way for blind people of creating documents. 

With a text formatter, a document is written in a simple Text Editor with additional markings to identify parts of the document such as headings, lists, links and style.  The writer does not need to worry about formatting the document as this is done later, automatically by the text formatter, based on the additional markings which are not visible in the final document.

The most well known and complete document text formatter is LaTeX which is used mainly by the academic community. LaTeX uses programming style syntax and concepts for marking the document.  I was looking for easier and more accessible solutions which can be grasped quickly and produce documents of simple to moderate complexity.  These should look reasonably clear (without understanding the syntax) to a sighted person as well.

In recent years, lightweight writing formats were developed to ease entering information to content management systems and Wikis such as Wikipedia.  Many of these types of formatters are available, usually offering conversion to HTML.  In my search for a suitable writing format for the blind, I was looking for a solution which relied as much as possible on direct marking rather than alignment of certain elements of the document which is obviously more difficult for a blind person to do. I was also looking for a writing format which could be easily converted to other formats besides HTML, for example RTF, so that the output could also be read by word processors.

I have chosen the Markdown lightweight writing format in general and Pandoc the multi-purpose format converter in particular.  Besides the ability of Pandoc to convert a variety of formats to and from Markdown, it offers Markdown syntax extensions which makes editing with Markdown even easier to sighted and blind people.

Pandoc is a free and publicly available converter and if all you are interested in is writing single documents in Markdown, you can configure and use Pandoc on its own. MarkupBinder provides simple commands for accessing Pandoc for single document conversion which  is convenient within the binder structure.  In addition, MarkupBinder configures Pandoc automatically to make converted HTML files stand alone by incorporating them with a document-optimized, accessible, internal style sheet and information such as author and date modified etc.


Markdown marked documents do not necessarily need to be converted to another format; this format is useful for keeping documents on one's computer (without conversion) as it is easily readable (although looking a bit strange at times for those not familiar with the format).

As mentioned above, documents often are related to each other in some way and to present these together, MarkupBinder was developed; you store individual Markdown files in a hierarchical folder structure and these are combined with appropriate headers and footers and converted (using Pandoc behind the scene) to HTML.  Index pages are automatically generated to link all these pages together forming effectively a mini website on your computer which can be used locally for easy viewing or uploaded to a remote website for public viewing.

MarkupBinder is useful for organizing your personal notes or writing documentation and manuals in a style similar to that found in Wikis such as Wikipedia.


