package common;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import java.util.ArrayList;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class Regexp
{

	public static boolean contains(String string, String patternString)
	{
		Pattern pattern = Pattern.compile(patternString);
		Matcher matcher = pattern.matcher(string);
		return (matcher.find());
	}

	public static RegexpMatchGroupInterface[] findGroupMatches(StringBuffer stringBuffer, String patternString,
			int groupIndex)
	{
		List<RegexpMatchGroupInterface> groups = new ArrayList<RegexpMatchGroupInterface>();
		Pattern pattern = Pattern.compile(patternString);
		Matcher matcher = pattern.matcher(stringBuffer);
		while (matcher.find())
		{
			groups.add(new MatchGroup(matcher.group(groupIndex), matcher.start(groupIndex), matcher.end(groupIndex)));
		}
		RegexpMatchGroupInterface[] groupsArray = new MatchGroup[groups.size()];
		return (groups.toArray(groupsArray));
	}

	public static class MatchGroup implements RegexpMatchGroupInterface
	{
		private String fGroup;
		private int fGroupStart;
		private int fGroupEnd;

		public MatchGroup(String group, int groupStart, int groupEnd)
		{
			fGroup = group;
			fGroupStart = groupStart;
			fGroupEnd = groupEnd;
		}

		public String getGroup()
		{
			return (fGroup);
		}

		public int getGroupStart()
		{
			return (fGroupStart);
		}

		public int getGroupEnd()
		{
			return (fGroupEnd);
		}

	}

}
