package common;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

public class Report
{
	private static boolean fErrorDetected = false;

	public static boolean isErrorDetected()
	{
		return (fErrorDetected);
	}

	public static void info(String string)
	{
		System.out.println(string);
	}

	public static void error(String string)
	{
		fErrorDetected = true;
		if (string == null)
		{
			System.err.println("Unspecified error");
			return;
		}
		// Remove Exception notification to reduce message clutter 
		string = string.replaceAll("common\\.BinderException: ", "");
		System.err.println(string);
	}

	public static void debug(String string)
	{
		String debugMode = System.getProperty("debug.mode");
		if ((debugMode != null) && (debugMode.equals("true")))
			System.err.println(string);
	}

	public static void usage()
	{
		System.out
				.println("\nUsage: markup-binder [-all|-web|-clean|-version] [PATH]\n"
						+ "or simplified flags comprising of the first character of each flag above as follows:\n"
						+ "markup-binder [-a|-w|-c|-v] [PATH]\n"
						+ "markup-binder [PATH]\n"
						+ "Builds the file or entire folder and it's sub-folders\n"
						+ "    specified by PATH into HTML.\n"
						+ "markup-binder -all [PATH]\n"
						+ "Builds the entire binder.  PATH must point to a folder within the binder\n"
						+ "markup-binder -web [PATH]\n"
						+ "Builds the entire binder, and copies the resulting HTML folder structure to a\n"
						+ "    -Web suffix folder, parallel to the root binder folder.  PATH must point to a\n"
						+ "folder within the binder\n"
						+ "markup-binder -clean [path]\n"
						+ "Cleans the entire binder by deleting all non Markdown files including HTML files and the 'Web' folder.\n"
						+ "PATH must point to folder within the binder\n" + "markup-binder -version\n"
						+ "Report the version\n" + "With no PATH argument, the current folderis used\n"
						+ "markup-binder -[from]2[to] [Path]\n" + "File conversion using various conversion commands\n"
						+ "See the markup-binder manual for more information:\n"
						+ "http://www.a-technic.net/MarkupBinder/docs/Manual");
	}

}
