package formats;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import common.Utilities;

// Implements only the functionality required so far
public class MarkdownWriter
{
	private StringBuffer fStringBuffer;
	private String fLS;

	public MarkdownWriter()
	{
		fStringBuffer = new StringBuffer();
		fLS = System.getProperty("line.separator");
	}

	public void newLine()
	{
		fStringBuffer.append(fLS);
	}

	public void newLines(int number)
	{
		for (int n = 0; n < number; n++)
			newLine();
	}

	public void separator()
	{
		newLine();
		fStringBuffer.append("* * * * *");
		newLines(2);
	}

	public void heading(int level, String name)
	{
		if (level <= 0)
			return;
		for (int n = 0; n < level; n++)
			fStringBuffer.append("#");
		fStringBuffer.append(" ");
		fStringBuffer.append(name);
		newLines(2);
	}

	public void link(String name, String urlPath)
	{
		String link = "[" + name + "]" + "(" + urlPath + ")";
		fStringBuffer.append(link);
	}

	public void addString(String string)
	{
		fStringBuffer.append(string);
	}

	public void save(String targetPath) throws Exception
	{
		Utilities.stringToFile(targetPath, fStringBuffer.toString());
	}

}
