package pandoc;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import common.BinderException;

public class PandocParameters
{

	public static String getFromFormatIdentifier(String abbriviation) throws Exception
	{
		abbriviation = abbriviation.toLowerCase();
		if (abbriviation.equals("html"))
			return ("html");
		if (abbriviation.equals("md"))
			return ("markdown");
		if (abbriviation.equals("rst"))
			return ("rst");
		if (abbriviation.equals("tex"))
			return ("latex");
		throw new BinderException("Error in getFromFormatIdentifier:\n Format abbriviation " + abbriviation
				+ " not supported");
	}

	public static String getToFormatIdentifier(String abbriviation) throws Exception
	{
		abbriviation = abbriviation.toLowerCase();
		if (abbriviation.equals("ctx"))
			return ("context");
		if (abbriviation.equals("dbk"))
			return ("docbook");
		if (abbriviation.equals("epub"))
			return ("epub");
		if (abbriviation.equals("html"))
			return ("html");
		if (abbriviation.equals("man"))
			return ("man");
		if (abbriviation.equals("md"))
			return ("markdown");
		if (abbriviation.equals("mw"))
			return ("mediawiki");
		if (abbriviation.equals("odf"))
			return ("opendocument");
		if (abbriviation.equals("odt"))
			return ("odt");
		if (abbriviation.equals("rst"))
			return ("rst");
		if (abbriviation.equals("rtf"))
			return ("rtf");
		if (abbriviation.equals("s5"))
			return ("s5");
		if (abbriviation.equals("tex"))
			return ("latex");
		if (abbriviation.equals("txt"))
			return ("plain");
		if (abbriviation.equals("txi"))
			return ("texinfo");
		throw new BinderException("Error in getToFormatIdentifier:\n Format abbriviation " + abbriviation
				+ " not supported");
	}

	public static String getFileExtention(String abbriviation) throws Exception
	{
		abbriviation = abbriviation.toLowerCase();
		if (abbriviation.equals("s5"))
			return ("html");
		return (abbriviation);
	}

}

/*
 MarkupBinder format abbriviations and formats

 From (input):

 html = html
 md = markdown
 rst = rst (reStructuredText)
 tex = latex

 To (Output):

 ctx = context (ConTeXt)
 dbk = docbook (DocBook XML)
 epub = epub
 html = html
 man = man (groff man - Apple manual pages)
 md = markdown
 mw = mediawiki (MediaWiki markup)
 odf = opendocument (OpenDocument XML)
 odt (OpenOffice text document)
 rst = rst (reStructuredText)
 rtf = rtf (rich text format)
 s5 = s5 (which produces an HTML file that acts like powerpoint)
 tex = latex
 txt = plain (plain text)
 txi = texinfo, (GNU Texinfo)
 */

