package pandoc;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;

import common.Report;


public class SStreamConsumer extends Thread
{
	private InputStream fInputStream;
	private String fOutputMode; // Either Info or Error

	/**
	 * 
	 * @param inputStream - Input Stream to capture
	 * @param outputMode - Output mode info or error
	 */
	public SStreamConsumer(InputStream inputStream, String outputMode)
	{
		fInputStream = inputStream;
		fOutputMode = outputMode;
	}

	@Override
	public void run()
	{
		try
		{
			InputStreamReader inputStreamReader = new InputStreamReader(fInputStream);
			BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
			String line = null;
			while ((line = bufferedReader.readLine()) != null)
			{
				if (fOutputMode.equals("info"))
					Report.info("Pandoc:\n" + line + "\n");
				else
					Report.error("Pandoc error:\n" + line + "\n");
			}
		} catch (IOException ex)
		{
			System.err.println(ex);
		}
	}
}
