package processing;

import common.Utilities;
import config.Settings;

public class BinderPathProc
{
	private String fSourceBaseDirectoryPath;
	private String fSourceOffsetDirectoryPath;
	private String[] fPathArray;
	private int fPathIndex = 0;

	public BinderPathProc(String sourceBaseDirectoryPath, String sourceOffsetDirectoryPath)
	{
		fSourceBaseDirectoryPath = sourceBaseDirectoryPath;
		fSourceOffsetDirectoryPath = sourceOffsetDirectoryPath;
		fSourceOffsetDirectoryPath = fSourceOffsetDirectoryPath.replaceAll("^/", "");
		fPathArray = fSourceOffsetDirectoryPath.split("/");
	}

	public int getPathLength()
	{
		return (fPathArray.length);
	}

	public int getPathIndex()
	{
		return (fPathIndex);
	}

	public void setPathIndex(int pathIndex)
	{
		if (pathIndex < 0)
			pathIndex = 0;
		else if (pathIndex > (fPathArray.length - 1))
			pathIndex = fPathArray.length - 1;
		fPathIndex = pathIndex;
	}

	private String getPath() throws Exception
	{
		String path = Utilities.joinArray(fPathArray, 0, fPathIndex, "/");
		return (fSourceBaseDirectoryPath + "/" + path);
	}

	public String getUnmodifiedName()
	{
		return (fPathArray[fPathIndex]);
	}

	public String getName() throws Exception
	{
		String name = FileDirPropertiesProc.getInstance().getAliasProperty(getPath());
		if ((name != null) && (name.equals("none") == false))
			return (name);
		name = fPathArray[fPathIndex];

		name = name.replaceAll("_$", "").trim();
		name = name.replaceAll(Settings.WEB_BINDER_INDICATOR + "$", "");
		return (name);
	}

}
