package processing;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import common.Regexp;
import common.RegexpMatchGroupInterface;
import common.Report;
import common.Utilities;

public class HTMLPostProc
{
	private boolean fFileModified = false;
	
	public void processFile(String filePath) throws Exception
	{
		fFileModified = false;
		StringBuffer stringBuffer = Utilities.fileToStringBuffer(filePath);
		String patternString = "<a[\\s]+href=\"(.+?)\""; // Reluctant quatifier (starting from left of string)
		modifyLinkswithUnderlines(stringBuffer, patternString);
		if (fFileModified)
		{
			Utilities.stringToFile(filePath, stringBuffer.toString());
			Report.debug("Post processing HTML: " + filePath);
		}
	}

	private void modifyLinkswithUnderlines(StringBuffer stringBuffer, String patternString)
	{
		RegexpMatchGroupInterface[] groups = Regexp.findGroupMatches(stringBuffer, patternString, 1);
		for (int n = groups.length - 1; n >= 0; n--)
		{
			RegexpMatchGroupInterface group = groups[n];
			String groupString = group.getGroup();
			// Only replace with underlines for local links
			if ((groupString.contains("http://")) || (groupString.contains("www.")))
				continue;
			if ((groupString.contains("%20")) || (groupString.contains(" ")))
			{
				groupString = groupString.replaceAll("%20", "_");
				groupString = groupString.replaceAll(" ", "_");
				stringBuffer.replace(group.getGroupStart(), group.getGroupEnd(), groupString);
				fFileModified = true;
			}
		}
	}

}
