package processing;

//Copyright Isaac Porat (c) 2010.  All rights reserved.  License Lesser GPL see accompanying file.

import pandoc.PandocParameters;

import common.Report;

public class SingleFileProc
{

	public void convertFile(String command, String sourcePath) throws Exception
	{
		if (command.startsWith("2"))
			command = "md" + command;
		if (command.endsWith("2"))
			command += "md";
		boolean markdownPostProcessing = false;
		if (command.endsWith("mdp")) // Markdown Pandoc post processing)
		{
			command = command.replaceAll("mdp$", "md");
			markdownPostProcessing = true;
		}
		String[] parts = command.split("2");
		String fromFormat = PandocParameters.getFromFormatIdentifier(parts[0]);
		String toFormat = PandocParameters.getToFormatIdentifier(parts[1]);
		String targetFileSuffix = "." + PandocParameters.getFileExtention(parts[1]);
		//Generate a file with -f suffix if reformatting of Markdown is required
		if ((fromFormat.equals("markdown")) && (toFormat.equals("markdown")))
			targetFileSuffix = "-f" + targetFileSuffix;
		String targetPath = sourcePath.replaceAll("\\.[a-zA-Z0-9]{2,4}$", targetFileSuffix);
		// Set debug mode by default so conversion within a binder is not required
		System.setProperty("debug.mode", "true");
		Report.debug("Converting from: " + sourcePath);
		Report.debug("Converting to: " + targetPath);
		ContentProc contentProc = new ContentProc();
		contentProc.setToFormat(toFormat);
		contentProc.setFromFormat(fromFormat);
		if (parts[1].equals("md") == false) // Generate stand alone document
			contentProc.setAdditionalArgs("-s");
		String[] sourcePathArray =
		{ sourcePath };
		contentProc.convertFileFormat(sourcePathArray, targetPath);
		if (markdownPostProcessing)
			(new MarkdownPandocPostProcn()).processFile(targetPath);
	}

}
